Skip to navigation

Retrieve a payment

View as Markdown
Retrieve the details of a specific Payment object.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

keystringRequired
Object ID or Number.

Headers

Idempotency-KeystringOptional<=255 characters
Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Query parameters

pageSizeintegerOptional1-99Defaults to 10

The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error.

cursorstringOptional

A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list.

sort[]list of stringsOptional

A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored.

expand[]list of enumsOptional
Allows you to expand responses by including related object information in a single call.
filter[]list of stringsOptional

A case-insensitive filter on the list.

fields[]list of stringsOptional

A case-insensitive query parameter that allows you to specify which fields are returned in the response.

includeNullFieldsbooleanOptionalDefaults to false

Specifies whether to include fields with the null value in the response.

  • If set to true, all fields will be returned in the response, including those with the null value.
  • If set to false, only fields with non-null values will be returned.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
idstringOptional
The unique identifier of the payment.
createdByIdstringOptional
The unique identifier of the user who created the payment.
createdDatedatetimeOptional

The time that the payment gets created in the system, in the YYYY-MM-DD HH:MM:SS format.

updatedByIdstringOptional
The unique identifier of the user who last updated the payment.
updatedDatedatetimeOptional

The time that the payment gets updated in the system, in the YYYY-MM-DD HH:MM:SS format.

accountIdstringOptional
The ID of the customer account that the payment is for.
accountingCodestringOptional
The accounting code for the charge. Accounting codes group transactions that contain similar accounting attributes.
amountdoubleOptional
The total amount of the payment.
appliedAmountdoubleOptional
The applied amount of the payment.
authTransactionIdstringOptional
The authorization transaction ID from the payment gateway.
appliedCreditBalanceAmountdoubleOptional
The amount of the payment to apply to a credit balance.
bankIdentificationNumberstringOptional

The first six or eight digits of the credit card or debit card used for the payment, when applicable. Use this field to reconcile payments between the gateway and merchant banks.

cancelledOndatetimeOptional
The date when the payment was canceled.
commentstring or nullOptional
Comments about the payment.
currencystringOptional

When Standalone Payment is not enabled, the currency of the payment must be the same as the payment currency defined in the customer account settings through Zuora UI.

When Standalone Payment is enabled and standalone is true, the currency of the standalone payment can be different from the payment currency defined in the customer account settings. The amount will not be summed up to the account balance or key metrics regardless of currency.

effectiveDatedateOptional

The date and time when the payment takes effect, in yyyy-mm-dd hh:mm:ss format.

gatewayOrderIdstringOptional

A merchant-specified natural key value that can be passed to the electronic payment gateway when a payment is created.

gatewayReconciliationReasonstringOptional
The reason of gateway reconciliation.
gatewayReconciliationStatusstringOptional
The status of gateway reconciliation.
gatewayResponsestringOptional

The message returned from the payment gateway for the payment. This message is gateway-dependent.

gatewayResponseCodestringOptional

The code returned from the payment gateway for the payment. This code is gateway-dependent.

gatewayStateenumOptional

The status of the payment in the gateway; use for reconciliation.

Allowed values:
gatewayTransactionStatestringOptional
isStandalonebooleanOptional
Indicates whether the payment is a standalone payment. A standalone payment is a payment that is not associated with any invoice or subscription.
markedForSubmissionOndatetimeOptional

The date and time when a charge was marked and waiting for batch submission to the payment process, in yyyy-mm-dd hh:mm:ss format.

paymentMethodIdstringOptional
The unique ID of the payment method that the customer used to make the payment.
paymentMethodSnapshotIdstringOptional
The unique ID of the payment method snapshot which is a copy of the particular Payment Method used in a transaction.
paymentOptionIdstringOptional
ID of the paymentOption object, which describe the transactional level rules for processing payments.
paymentNumberstringOptional
The unique identification number of a payment.
payoutIdstringOptional
The payout ID of the payment from the gateway side.
prepaymentbooleanOptional

Indicates whether the payment is used as a reserved payment. See Prepaid Cash with Drawdown for more information.

referencedPaymentIDstringOptional
The ID of a referenced payment.
referenceIdstringOptional
The transaction ID returned by the payment gateway. Use this field to reconcile payments between your gateway and Zuora Payments.
refundAmountdoubleOptional
The amount of the payment that is refunded.
secondPaymentReferenceIdstringOptional
The transaction ID returned by the payment gateway if there is an additional transaction for the payment. Use this field to reconcile payments between your gateway and Zuora Payments.
settledOndatetimeOptional

The date and time when the payment was settled in the payment processor, in yyyy-mm-dd hh:mm:ss format. This field is used by the Spectrum gateway only and not applicable to other gateways.

softDescriptorstringOptional

A payment gateway-specific field that maps to Zuora for the gateways, Orbital, Vantiv and Verifi.

softDescriptorPhonestringOptional

A payment gateway-specific field that maps to Zuora for the gateways, Orbital, Vantiv and Verifi.

sourceenumOptional
Indicates how the payment was created, whether through API, manually, import, or payment run.
Allowed values:
sourceNamestringOptional
Name of the source. It can be a payment run number or a file name.
statusenumOptional
The status of the payment.
submittedOndatetimeOptional

The date and time when the payment was submitted, in yyyy-mm-dd hh:mm:ss format.

typeenumOptional
The type of the payment.
Allowed values:
transferredToAccountingenumOptional
Whether the payment was transferred to an external accounting system. Use this field for integration with accounting systems, such as NetSuite.
Allowed values:
transactionSourceenumOptional

Payment transaction source used to differentiate the transaction source in Stored Credential Transaction framework.

  • C_Unscheduled: Cardholder-initiated transaction (CIT) that does not occur on scheduled or regularly occurring dates.
  • M_Recurring: Merchant-initiated transaction (MIT) that occurs at regular intervals.
  • M_Unscheduled: Merchant-initiated transaction (MIT) that does not occur on scheduled or regularly occurring dates.
  • M_MOTO: Mail Order Telephone Order (MOTO) payment transaction. This option is only available for credit card payments on Stripe v2. See Overview of Stripe payment gateway integration for more information.
Allowed values:
unappliedAmountdoubleOptional
The unapplied amount of the payment.
lastEmailDateTimestringOptional
The date and time when the last email was sent to the customer for the payment.
gatewaystringOptional
Name of the gateway instance that processes the payment.
accountobjectOptional
paymentMethodobjectOptional
paymentApplicationslist of objectsOptional

Errors

4XX
Client Request Error
500
Internal Server Error